//
// Copyright (C) 1992 General Electric Company.
//
// Permission is granted to any individual or institution to use, copy, modify,
// and distribute this software, provided that this complete copyright and
// permission notice is maintained, intact, in all copies and supporting
// documentation.
//
// General Electric Company provides this software "as is" without
// express or implied warranty.
//

#include <cool/Property.h>

void main() {
  CoolProperty plist;
  plist.put("p0", int(1));
  plist.put("p1", double(2.5));
  plist.put("p2", &plist);
  cout << plist << endl;

  CoolValue v0, v1, v2;
  cout << plist.get("p0", v0) << "\t";
  cout << plist.get("p1", v1) << "\t";
  cout << plist.get("p", v2) << "\t";
  cout << plist.remove("p2") << "\t";
}

